## CVM

# The cvm-chain Module

## Synopsis:

multi-module chaining shim

## Credentials:

This module passes all its input credentials to the configured client modules. NOTE: The version 2 client library now supports chaining internally. As such, this module is deprecated.

## Description:

This module invokes a sequence of other modules. If the first module returns success (no error), the module passes the results back to its caller, otherwise it calls the second module and so on. If no module succeeds, the error code from the last module is returned.

If any of the modules reports the "out of scope" fact in a permanent failure, this module will report it as well. The output fact will be true unless any module reported a false value. This way, if any module reports that the credentials were within its scope, so will cvm-chain.

## Configuration Variables:

`$CVM_CHAIN0` through `$CVM_CHAIN9`
  These 10 variables specify the modules to be called. They are called in order from 0 through 9, if set.

Note: The previous versions of this module (not part of the main cvm package) used the environment variable `$CVM_CHAIN` to configure the list of modules. This will not work with this module. If you were using one of these previous versions you will need to change your configuration to match the above usage.